﻿using Lucene.Net.Store;
using Was.OrcSearch.Services.Interfaces;

namespace Was.OrcSearch.Services
{
    public class InMemorySearchService : SearchServiceBase
    {
        #region Constructors

        public InMemorySearchService(ISearchQueryService searchQueryService)
            : base(searchQueryService)
        {
        }

        #endregion

        #region Methods

        protected override Directory GetDirectory()
        {
            return new RAMDirectory();
        }

        #endregion
    }
}